## symfony 5.2.6+dfsg

=== debian/changelog ===
symfony (5.2.6+dfsg-1ubuntu2) impish; urgency=medium

  * We're enabling tests again, so revert the following:
    - d/p/drop-bd-on-php-doctrine-bundle.patch: Drop BD on
      php-doctrine-bundle as it depends on symfony so pulls
      in an older version causing the uninstallability mess.
    - d/{,tests/}control: Drop BD to reflect the above
      change so we don't pull this in at all.
    - d/rules: Temporarily disable testsuite to allow sidestepping
      circular build dependency on php-twig (and its components).
      This change can be reverted once both php-twig and symfony
      have migrated. (LP #1929880)
  * d/control: Add BD on php-apcu and php-cache-tag-interop.
    To run build-time tests, we need to have apcu extensions &
    Cache/TagInterop.
  * d/t/control: Drop php-apcu-bc from Depends as this has been
    deprecated & not built for PHP 8.0 and thus emits a bunch
    of warnings during the build.
  * d/p/adapt-to-new-container-interface.patch: Add patch to
    adapt to new Psr/Container's interface so as to make
    symfony work with the new php-psr-container & new PHP 8's
    syntax (return types).
  * Add DEP3 headers for:
    - d/p/disable-failing-tests.patch
    - d/p/disable-doctrine-db-tests.patch
    - d/p/disable-more-http-foundation-testing.patch
  * d/p/skip-tests-that-use-relative-path.patch: Skip tests which
    use relative paths. These tests work properly during build time
    because the relative path that is used is in order. However,
    during autopkgtest, we try to test things in installed form and
    thus these tests, using relative paths, defeats the whole purpose
    because now that paths are no longer valid.
  * d/p/disable-doctrine-db-tests.patch: Fix patch to actually mark it
    skipped. If we allow connection->setup() to take place before
    marking it as skipped then weirdly enough, there are random FTBFS.

  [ Bryce Harrington ]
  * d/p/adapt-to-new-container-interface.patch: Define more return types.
    - getItem() returns CacheItem's, and getItems() returns iterables.
      generateItems() returns \Generator. Other routines return bool.
    - Explicitly return a bool to fix TypeError(s).
  * d/p/disable-failing-tests.patch: Bypass still-failing tests.
    - These appear to be other PSR-related incompatibilities but not
      fixable by simply specifying return types.  For the time being
      we'll just skip the tests.
    - Disable Psr Cache tests.
  * d/p/disable-doctrine-db-tests.patch: Drop tests erroring on RO db.
    - These workaround test failures showing:
      Doctrine\DBAL\Driver\PDO\Exception: SQLSTATE[HY000]:
        General error: 8 attempt to write a readonly database.
  * d/p/disable-more-http-foundation-testing.patch: Triggers type error.
    Fixes issue in tests:
    - Legacy deprecation notices (14).
    - KO src/Symfony/Component/HttpFoundation.
    - PHP Fatal error:  Cannot use int as default value for parameter
      $with_cas of type bool in
      /usr/share/php/PHPUnit/Framework/MockObject/MockClass.php(51):
      eval()'d code on line 141.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Mon, 07 Jun 2021 23:07:40 +0530

symfony (5.2.6+dfsg-1ubuntu1) impish; urgency=medium

  * d/rules: Temporarily disable testsuite to allow sidestepping
    circular build dependency on php-twig (and its components).
    This change can be reverted once both php-twig and symfony
    have migrated. (LP: #1929880)
  * d/control: Drop php-apcu-bc from BD-I as this has been
    deprecated & not built for PHP 8.0 and thus emits a bunch
    of warnings during the build.
  * d/p/bump-deps-test.patch: Add patch to bump dependencies
    & thus work with the ones which are in the archive.
    This will help sort out a lot of uninstallability issues.
  * d/p/drop-bd-on-php-doctrine-bundle.patch: Drop BD on
    php-doctrine-bundle as it depends on symfony so pulls in
    an older version causing the uninstallability mess.
    - d/{,tests/}control: Drop BD to reflect the above
      change so we don't pull this in at all.
    NOTE: This can (and shall) be dropped once php-twig
          and symfony have settled down and migrated.
          When reverting, we need to add -annotations
          after fixing that for -psr-cache, et al.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Thu, 03 Jun 2021 19:47:20 +0530

symfony (5.2.6+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.2.6

  [ David Prévot ]
  * Update homemade autoload.php
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Build-depend on recent php-twig and php-email-validator
  * Adapt conflict to Debian expectations

 -- David Prévot <taffit@debian.org>  Thu, 08 Apr 2021 16:03:32 -0400

symfony (5.2.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.2.5

  [ Alexander M. Turek ]
  * Backport psr/container 1.1/2.0 compatibility
  * Allow egulias/email-validator 3.x

 -- David Prévot <taffit@debian.org>  Tue, 16 Mar 2021 15:58:21 -0400

symfony (5.2.4+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.2.4

  [ David Prévot ]
  * Fix homemade autoload.php
  * Exclude other files for phpab

 -- David Prévot <taffit@debian.org>  Tue, 09 Mar 2021 10:16:34 -0400

symfony (5.2.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.2.3

 -- David Prévot <taffit@debian.org>  Thu, 04 Feb 2021 18:31:10 -0400

symfony (5.2.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Bump license year
  * Update VERSION for 5.2.2

  [ Nicolas Grekas ]
  * [ProxyManagerBridge] switch to "friendsofphp/proxy-manager-lts"

  [ David Prévot ]
  * Drop spurious require
  * Update gbp import-orig workflow
  * Verify upstream signed tag on import
  * Adapt dependencies and descriptions to new upstream version
  * Update copyright (years)


