=== debian/control ===
Source: symfony
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
Section: php
Priority: optional
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               pkg-php-tools (>= 1.41~)
Build-Depends-Indep: composer,
                     dctrl-tools,
                     file,
                     jq,
                     locales-all,
                     parallel,
                     php-amqp,
                     php-apcu,
                     php-async-aws-ses,
                     php-async-aws-sqs,
                     php-cache-integration-tests,
                     php-cache-tag-interop,
                     php-curl,
                     php-doctrine-bundle,
                     php-doctrine-data-fixtures,
                     php-doctrine-orm,
                     php-email-validator (>= 3),
                     php-friendsofphp-proxy-manager-lts,
                     php-gd,
                     php-guzzlehttp-promises,
                     php-http-httplug,
                     php-intl,
                     php-ldap,
                     php-masterminds-html5,
                     php-mbstring,
                     php-memcached,
                     php-monolog,
                     php-nrk-predis,
                     php-nyholm-psr7,
                     php-pda-pheanstalk,
                     php-phpdbg,
                     php-phpdocumentor-reflection-docblock,
                     php-psr-container,
                     php-psr-http-client,
                     php-psr-link,
                     php-psr-log,
                     php-psr-simple-cache,
                     php-sqlite3,
                     php-symfony-contracts (>= 2),
                     php-symfony-polyfill-php80,
                     php-symfony-security-acl,
                     php-twig (>= 3),
                     php-twig-cssinliner-extra (>= 3),
                     php-twig-inky-extra (>= 3),
                     php-twig-markdown-extra (>= 3),
                     php-uuid,
                     phpab,
                     phpunit
Build-Conflicts: php-redis
Homepage: https://symfony.com/
Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git -b debian/latest
Rules-Requires-Root: no

Package: php-symfony
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-replace},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Breaks: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: set of reusable components and framework for web projects
 ${phpcomposer:description} allows one to create websites and web
 applications. It’s a set of tools and a development methodology.
 .
 This package depends on every component. Applications depending on
 Symfony should rather depend on individual components actually needed
 by them.

Package: php-symfony-asset
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/asset.html
Description: manage asset URLs
 The Symfony Asset Component manages URL generation and versioning of
 web assets such as CSS stylesheets, JavaScript files and image files.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-browser-kit
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/browser_kit.html
Description: simulate the behavior of a web browser
 The Symfony BrowserKit Component simulates the behavior of a web browser,
 allowing you to make requests, click on links and submit forms
 programmatically.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-cache
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/cache.html
Description: provides an extended PSR-6, PSR-16 (and tags) implementation
 The Symfony Cache Component provides an extended PSR-6 implementation for
 adding cache to applications. It is designed to have a low overhead so
 that caching is fastest. It ships with a few caching adapters for the
 most widespread and suited to caching backends. It also provides a
 `doctrine/cache` proxy adapter  to cover more advanced caching needs
 and a proxy adapter for greater interoperability between PSR-6
 implementations.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-config
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/config.html
Description: load configurations from different data sources
 The Symfony Config Component provides the infrastructure for loading
 configurations from different data sources and optionally monitoring
 these for changes. Additional tools for validating, normalizing and
 handling of defaults are provided.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-console
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/console.html
Description: run tasks from the command line
 The Symfony Console Component can be used to implement recurring
 or long running tasks, such as cronjobs, imports or other batch
 jobs. Additionally it assists the creation of nice looking command
 line interfaces.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-css-selector
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/css_selector.html
Description: convert CSS selectors to XPath expressions
 The Symfony CssSelector Component can be used to convert CSS selectors
 to XPath expressions. It basically is a port of the Python lxml library.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dependency-injection
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/dependency_injection.html
Description: standardize and centralize construction of objects
 The Symfony DependencyInjection Component allows one to standardize and
 centralize the way objects are constructed in an application.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dom-crawler
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/dom_crawler.html
Description: ease DOM navigation for HTML and XML documents
 The Symfony DomCrawler Component provides methods to query and
 manipulate HTML and XML documents.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dotenv
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/dotenv.html
Description: .env files parser to make environment variables accessible
 The Symfony Dotenv Component parses .env files to make environment variables
 stored in them accessible via getenv(), $_ENV, or $_SERVER.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-error-handler
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/error_handler.html
Description: manage errors and ease debugging
 The Symfony ErrorHandler Component provides tools to manage errors and ease
 debugging PHP code.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-event-dispatcher
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/event_dispatcher.html
Description: dispatch events and listen to them
 The Symfony EventDispatcher Component implements the mediator pattern
 and thus allows individual parts of an application to communicate
 with each other by dispatching events and listening to them.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-expression-language
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/expression_language.html
Description: compile and evaluate expressions
 The Symfony ExpressionLanguage Component provides an engine that can compile
 and evaluate expressions. An expression is a one-liner that returns a value
 (mostly, but not limited to, Booleans).
 .
 By default, the engine implements simple math and logic functions, method
 calls, property accesses, and array accesses.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-filesystem
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/5.2/components/filesystem.html
Description: basic filesystem utilities
 The Symfony Filesystem Component provides basic utilities to work
 with the filesystem, like creating directories, removing files or
 adding symlinks.
 .
