=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: composer,
         locales-all,
         parallel,
         patch,
         php-amqp,
         php-apcu,
         php-async-aws-sqs,
         php-cache-integration-tests,
         php-cache-tag-interop,
         php-curl,
         php-doctrine-bundle,
         php-doctrine-data-fixtures,
         php-doctrine-orm,
         php-email-validator,
         php-gd,
         php-guzzlehttp-promises,
         php-http-httplug,
         php-masterminds-html5,
         php-memcached,
         php-nrk-predis,
         php-nyholm-psr7,
         php-phpdocumentor-reflection-docblock,
         php-psr-http-client,
         php-psr-simple-cache,
         php-sqlite3,
         php-symfony-security-acl,
         php-twig-cssinliner-extra,
         php-twig-inky-extra,
         php-twig-markdown-extra,
         phpab,
         phpunit,
         @
