=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: symfony
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                pkg-php-tools (>= 1.41~)
@@ -15,16 +14,15 @@
                      locales-all,
                      parallel,
                      php-amqp,
-                     php-apcu,
                      php-async-aws-ses,
+                     php-async-aws-sns,
                      php-async-aws-sqs,
                      php-cache-integration-tests,
-                     php-cache-tag-interop,
                      php-curl,
-                     php-doctrine-bundle,
+                     php-doctrine-annotations,
                      php-doctrine-data-fixtures,
                      php-doctrine-orm,
-                     php-email-validator (>= 3),
+                     php-email-validator,
                      php-friendsofphp-proxy-manager-lts,
                      php-gd,
                      php-guzzlehttp-promises,
@@ -35,11 +33,12 @@
                      php-mbstring,
                      php-memcached,
                      php-monolog,
-                     php-nrk-predis,
                      php-nyholm-psr7,
                      php-pda-pheanstalk,
                      php-phpdbg,
                      php-phpdocumentor-reflection-docblock,
+                     php-phpstan-phpdoc-parser,
+                     php-predis,
                      php-psr-container,
                      php-psr-http-client,
                      php-psr-link,
@@ -47,7 +46,9 @@
                      php-psr-simple-cache,
                      php-sqlite3,
                      php-symfony-contracts (>= 2),
+                     php-symfony-mercure,
                      php-symfony-polyfill-php80,
+                     php-symfony-polyfill-php81,
                      php-symfony-security-acl,
                      php-twig (>= 3),
                      php-twig-cssinliner-extra (>= 3),
@@ -85,7 +86,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/asset.html
+Homepage: https://symfony.com/doc/5.4/components/asset.html
 Description: manage asset URLs
  The Symfony Asset Component manages URL generation and versioning of
  web assets such as CSS stylesheets, JavaScript files and image files.
@@ -99,7 +100,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/browser_kit.html
+Homepage: https://symfony.com/doc/5.4/components/browser_kit.html
 Description: simulate the behavior of a web browser
  The Symfony BrowserKit Component simulates the behavior of a web browser,
  allowing you to make requests, click on links and submit forms
@@ -114,13 +115,13 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/cache.html
+Homepage: https://symfony.com/doc/5.4/components/cache.html
 Description: provides an extended PSR-6, PSR-16 (and tags) implementation
  The Symfony Cache Component provides an extended PSR-6 implementation for
  adding cache to applications. It is designed to have a low overhead so
  that caching is fastest. It ships with a few caching adapters for the
  most widespread and suited to caching backends. It also provides a
- `doctrine/cache` proxy adapter  to cover more advanced caching needs
+ `doctrine/cache` proxy adapter to cover more advanced caching needs
  and a proxy adapter for greater interoperability between PSR-6
  implementations.
  .
@@ -133,7 +134,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/config.html
+Homepage: https://symfony.com/doc/5.4/components/config.html
 Description: load configurations from different data sources
  The Symfony Config Component provides the infrastructure for loading
  configurations from different data sources and optionally monitoring
@@ -149,7 +150,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/console.html
+Homepage: https://symfony.com/doc/5.4/components/console.html
 Description: run tasks from the command line
  The Symfony Console Component can be used to implement recurring
  or long running tasks, such as cronjobs, imports or other batch
@@ -165,7 +166,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/css_selector.html
+Homepage: https://symfony.com/doc/5.4/components/css_selector.html
 Description: convert CSS selectors to XPath expressions
  The Symfony CssSelector Component can be used to convert CSS selectors
  to XPath expressions. It basically is a port of the Python lxml library.
@@ -179,7 +180,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/dependency_injection.html
+Homepage: https://symfony.com/doc/5.4/components/dependency_injection.html
 Description: standardize and centralize construction of objects
  The Symfony DependencyInjection Component allows one to standardize and
  centralize the way objects are constructed in an application.
@@ -193,7 +194,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/dom_crawler.html
+Homepage: https://symfony.com/doc/5.4/components/dom_crawler.html
 Description: ease DOM navigation for HTML and XML documents
  The Symfony DomCrawler Component provides methods to query and
  manipulate HTML and XML documents.
@@ -207,7 +208,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/dotenv.html
+Homepage: https://symfony.com/doc/5.4/components/dotenv.html
 Description: .env files parser to make environment variables accessible
  The Symfony Dotenv Component parses .env files to make environment variables
  stored in them accessible via getenv(), $_ENV, or $_SERVER.
@@ -221,7 +222,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/error_handler.html
+Homepage: https://symfony.com/doc/5.4/components/error_handler.html
 Description: manage errors and ease debugging
  The Symfony ErrorHandler Component provides tools to manage errors and ease
  debugging PHP code.
@@ -235,7 +236,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/event_dispatcher.html
+Homepage: https://symfony.com/doc/5.4/components/event_dispatcher.html
 Description: dispatch events and listen to them
  The Symfony EventDispatcher Component implements the mediator pattern
  and thus allows individual parts of an application to communicate
@@ -250,7 +251,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/expression_language.html
+Homepage: https://symfony.com/doc/5.4/components/expression_language.html
 Description: compile and evaluate expressions
  The Symfony ExpressionLanguage Component provides an engine that can compile
  and evaluate expressions. An expression is a one-liner that returns a value
@@ -268,9 +269,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/5.2/components/filesystem.html
+Homepage: https://symfony.com/doc/5.4/components/filesystem.html
 Description: basic filesystem utilities
  The Symfony Filesystem Component provides basic utilities to work
  with the filesystem, like creating directories, removing files or
- adding symlinks.
- .
