=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,53 @@
 	dh $@
 
 override_dh_auto_build:
-	mkdir --parents debian/packages_to_build debian/autoloaders
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# Check if licenses of all images are properly covered in d/copyright
 	./debian/licensing/bin/check_image_licenses --check
 else
 	@echo "** image license check disabled"
 endif
+	phpabtpl \
+		--require symfony/contracts \
+		--require symfony/asset \
+		--require symfony/browser-kit \
+		--require symfony/console \
+		--require symfony/css-selector \
+		--require symfony/debug-bundle \
+		--require symfony/doctrine-bridge \
+		--require symfony/dotenv \
+		--require symfony/expression-language \
+		--require symfony/form \
+		--require symfony/http-client \
+		--require symfony/inflector \
+		--require symfony/ldap \
+		--require symfony/lock \
+		--require symfony/mailer \
+		--require symfony/messenger \
+		--require symfony/monolog-bridge \
+		--require symfony/notifier \
+		--require symfony/process \
+		--require symfony/property-info \
+		--require symfony/proxy-manager-bridge \
+		--require symfony/rate-limiter \
+		--require symfony/security-bundle \
+		--require symfony/semaphore \
+		--require symfony/serializer \
+		--require symfony/string \
+		--require symfony/templating \
+		--require symfony/twig-bundle \
+		--require symfony/uid \
+		--require symfony/validator \
+		--require symfony/web-link \
+		--require symfony/web-profiler-bundle \
+		--require symfony/workflow \
+		--require symfony/yaml \
+		> debian/autoload.php.tpl
+	phpab \
+		--template debian/autoload.php.tpl \
+		--output src/Symfony/autoload.php \
+		src/Symfony/Bundle/FullStack.php
+	mkdir --parents debian/packages_to_build debian/autoloaders
 	# Walk through the parts of upstream's code that should be packaged into
 	# separate Debian binary packages and write down a package-to-build info
 	# file containing shell variables for each package.
@@ -47,7 +87,8 @@
 	   fi ; \
 	   if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
 		\( $$deb_pkg_name = php-symfony-messenger \) -o \
-		\( $$deb_pkg_name = php-symfony-notifier \) ] ; then \
+		\( $$deb_pkg_name = php-symfony-notifier \) -o \
+		\( $$deb_pkg_name = php-symfony-translation \) ] ; then \
 	    phpab --output $$src_path/autoload.php \
 		--blacklist '*\\tests\\*' \
 		--blacklist '*\\bridge\\*' \
@@ -57,6 +98,7 @@
 	   else \
 	    phpab --output $$src_path/autoload.php \
 		--blacklist '*\\tests\\*' \
+		--blacklist 'symfony\\config\\*' \
 		--exclude 'src/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
 		--exclude 'src/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
 		--whitelist 'symfony\\*' \
@@ -66,17 +108,11 @@
 	   fi; \
 	  fi; \
 	 done
-	# The following component declares a classmap in its composer.json,
-	# pointing to Resources/stubs. The classname being outside 'symfony\\*', the
-	# --whitelist trick cannot be used to ignore classes defined in the testsuite.
-	phpab	--output src/Symfony/Component/Intl/autoload.php \
-		--blacklist '*\\tests\\*' \
-		src/Symfony/Component/Intl
 
 override_dh_auto_test:
 	ln -s ./src/Symfony ./Symfony
 	mkdir --parents vendor
-	cp debian/autoload.php src/Symfony
+	cp debian/autoload_runtime.php vendor
 	phpab	--output vendor/autoload.php \
 		--whitelist '*\\tests\\*' \
 		--tolerant \
@@ -86,7 +122,7 @@
 		--exclude 'Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
 		Symfony
 	# Actual tests suite
-	components=$$(find src/Symfony -mindepth 3 -type f -name phpunit.xml.dist -printf '%h\n') && \
+	components=$$(find src/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
 	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak phpunit -v --colors=always --exclude-group network,tty,benchmark,intl-data,functional,composer {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
@@ -115,7 +151,8 @@
 	      debian/autoloaders/$$deb_pkg_name usr/share/pkg-php-tools/autoloaders; \
 	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
 	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
-	       \( $$deb_pkg_name = php-symfony-notifier \) ] ; then \
+	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
+	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
 	   dh_install \
 		-X.md \
 		-Xcomposer.json \
@@ -151,27 +188,3 @@
 	# to provide some basic documentation for each package.
 	set -e; \
 	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
-	  . $$package_info_file; \
-	 done
-
-execute_before_dh_installchangelogs:
-	for i in $$(ls CHANGELOG-* -r); do cat $$i >> CHANGELOG && echo '' >> CHANGELOG; done
-
-execute_after_dh_installchangelogs:
-	# In debian/packages_to_build/ a file containing shell variables exists
-	# for each package that should be build. Source one file after another
-	# to make the shell variables available and run dh_installchangelogs in
-	# order to provide upstream changelogs for each package.
-	set -e; \
-	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
-	  . $$package_info_file; \
-	  if [ -f "$$src_path/CHANGELOG.md" ]; then \
-	   dh_installchangelogs \
-	    --package=$$deb_pkg_name \
-	    $$src_path/CHANGELOG.md; \
-	  elif [ -f "$$src_path/../CHANGELOG.md" ]; then \
-	   dh_installchangelogs \
-	    --package=$$deb_pkg_name \
-	    $$src_path/../CHANGELOG.md; \
-	  fi; \
-	 done
